stages:
    - build_package
    - create_docker_image

build_package_job:
    stage: build_package
    tags:
    - docker
    image: maven:latest
    script:
    - mvn -f pom.xml clean package
    artifacts:
        paths:
            - target/Hangman-jar-with-dependencies.jar
        expire_in: 1 mos 2 days 3 hrs 4 mins 5 sec
        
create_docker_image_job:
    stage: create_docker_image
    tags:
    - docker
    image: 
        name: gcr.io/kaniko-project/executor:v1.9.0-debug
        entrypoint: [""]
    script:
    - /kaniko/executor --context "${CI_PROJECT_DIR}" --dockerfile "${CI_PROJECT_DIR}/Dockerfile" --destination "${CI_REGISTRY}/rania.khouadja/hangman:latest" --cleanup
